#include <iostream>

using namespace std;

int main()
{
    //n - broj karata
    //k - broj na karti iznad izvucene karte
    int n, k, l, lp, p, o;

    cin >> n >> k >> p >> l;
    if(p == k)
        o = l;
    if(l == k)
        o = p;
    if(n == 2)
        cout << o << endl;
    else
    {
        for(int i = 2; i < n; i++)
        {
            lp = l;
            cin >> l;
            if(lp == k)
                o = l;
            if(l == k && i == n-1)
                o = p;
        }
        cout << o << endl;
    }

    return 0;
}